#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/buildflags.mk


build: build-arch build-indep
build-arch: build-stamp
build-stamp:
	dh_testdir
	rm -f src/calc.cpp #needs to be regenerated from src/calc.yy
	rm -f src/*.o src/*/*.o
	dh_auto_build --sourcedirectory=src -- LD='$$(CXX)' CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" libbulletml.a
	rm -f src/*.o src/*/*.o
	dh_auto_build --sourcedirectory=src -- LD='$$(CXX)' CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS) -fPIC -fpic" \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" libbulletml.so
	touch $@

build-indep:
# Nothing to do

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) -C src clean
	rm -f src/*.so src/*.so.* src/*.o
	rm -f src/bulletml.d
	rm -f src/calc.cpp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	#$(MAKE) -C src DESTDIR=$(CURDIR)/debian/tmp install

# Build architecture-independent files here.
binary-indep:
# Nothing to do

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

get-orig-source:
	wget http://shinh.skr.jp/libbulletml/libbulletml-0.0.6.tar.bz2
	wget http://shinh.skr.jp/d/d_cpp.tar.bz2
	tar xvfj libbulletml-0.0.6.tar.bz2
	cd bulletml && tar xvfj ../d_cpp.tar.bz2
	rm -rf bulletml/src/boost/
	tar cvfz ../bulletml_0.0.6.orig.tar.gz bulletml
	rm -r bulletml
	rm d_cpp.tar.bz2 libbulletml-0.0.6.tar.bz2

.PHONY: build clean binary-indep binary-arch binary install get-orig-source
